UOAKLUX(4)

NAME
uoaklux - Toradex OAK USB illuminance sensor

SYNOPSIS
uoaklux* at uhidev?

DESCRIPTION
The uoaklux driver provides support for the Toradex OAK LUX. The sensor possesses a collection of sensor values which are made available through the sysctl(8) interface.

The illuminance date unit is "Lux". Because the sensing cycle of the illuminance sensor is faster than the sensor framework update period, the driver keeps maximum/minimum/average values as independent sensors.

The device has a unique serial number, indicated in the description part of the sensor value.

SEE ALSO
intro(4), uhidev(4), sensorsd(8), sysctl(8) Toradex Web Page, http://developer.toradex.com/hardware-resources/usb-sensors-and-peripherals.

HISTORY
The uoaklux device driver first appeared in OpenBSD 5.3.

AUTHORS
-nosplit The uoaklux driver was written by Yojiro UO <yuo@nui.org>.